# 音频管理器

### 方法

#### start( sampleSize : number) 
```
    /**
     * 标记为播放状态
     *
     * @param sampleSize, 每次获取的采样大小, 默认值可以使用 getSampleSize() 方法获取
     * */

```

#### stop()
```
    /**
     * 标记为停止状态, 此时读取出来的音频数据为静音
     * */
```

#### getAudioBlockSize() : number
```
    /**
     * 获取音频数据的大小
     * */
```

#### getAudioBlockFeedInterval() : number
```
    /**
     * 获取音频数据更新的间隔, 单位 : ms
     * */
```

#### getSampleSize() : number
```
    /**
     * 获取音频数据的大小
     * */
```


#### getDuration() : number
```
    /**
     * 获取时长
     * @return 单位为秒
     */
```

#### setDuration(duration : number) : void
```
  /**
     * 设置时长
     * @param duration 时长
     */
```

#### getMaxTrackOutPoint() : number
```
    /**
     * 获取轨道的最大结束时间
     * @return 轨道的最大结束时间
     */
```

#### getOutputSampleRate() : number
```
    /**
     * 获取音轨输出音频的采样率
     * @return 采样率
     */
```
#### getOutputChannelCount() : number
```
   /**
     * 获取音轨输出音频的声道数
     * @note 默认双声道
     * @return 声道数
     */
```

#### readNextAudioBlock(sync : bool) : void
```
    /**
     * 读取下一个音频块
     *
     * @param sync 是否与视频画面保持同步
     * */
```